<?php
/**
 * Lusy Photography Portfolio functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Lusy_Photography_Portfolio
 */

if ( ! defined( 'LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION', '1.0.0' );
}

/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function lusy_photography_portfolio_setup() {
	/*
		* Make theme available for translation.
		* Translations can be filed in the /languages/ directory.
		* If you're building a theme based on Lusy Photography Portfolio, use a find and replace
		* to change 'lusy-photography-portfolio' to the name of your theme in all the template files.
		*/
	load_theme_textdomain( 'lusy-photography-portfolio', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
		* Let WordPress manage the document title.
		* By adding theme support, we declare that this theme does not use a
		* hard-coded <title> tag in the document head, and expect WordPress to
		* provide it for us.
		*/
	add_theme_support( 'title-tag' );

	/*
		* Enable support for Post Thumbnails on posts and pages.
		*
		* @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		*/
	add_theme_support( 'post-thumbnails' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus(
		array(
			'menu-1' => esc_html__( 'Primary', 'lusy-photography-portfolio' ),
		)
	);

	/*
		* Switch default core markup for search form, comment form, and comments
		* to output valid HTML5.
		*/
	add_theme_support(
		'html5',
		array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
			'style',
			'script',
		)
	);

	// Set up the WordPress core custom background feature.
	add_theme_support(
		'custom-background',
		apply_filters(
			'lusy_photography_portfolio_custom_background_args',
			array(
				'default-color' => 'ffffff',
				'default-image' => '',
			)
		)
	);

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/**
	 * Add support for core custom logo.
	 *
	 * @link https://codex.wordpress.org/Theme_Logo
	 */
	add_theme_support(
		'custom-logo',
		array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		)
	);
}
add_action( 'after_setup_theme', 'lusy_photography_portfolio_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function lusy_photography_portfolio_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'lusy_photography_portfolio_content_width', 640 );
}
add_action( 'after_setup_theme', 'lusy_photography_portfolio_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function lusy_photography_portfolio_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'lusy-photography-portfolio' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'lusy-photography-portfolio' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', 'lusy_photography_portfolio_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function lusy_photography_portfolio_scripts() {
	wp_enqueue_style( 'lusy-photography-portfolio-style', get_stylesheet_uri(), array(), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION );
	wp_enqueue_style('animate', get_template_directory_uri() . '/assets/css/animate.css', array(), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION, 'all');
	wp_enqueue_style('swiper-min', get_template_directory_uri() . '/assets/css/swiper.min.css', array(), '5.2.0', 'all');
	wp_enqueue_style('font-awesome-min', get_template_directory_uri() . '/assets/css/font-awesome.min.css', array(), '4.6.3', 'all');
	wp_enqueue_style('themify-icons', get_template_directory_uri() . '/assets/css/themify-icons.css', array(), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION, 'all');
	wp_enqueue_style('bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.css', array(), '4.1.3', 'all');
	wp_enqueue_style('magnific-popup', get_template_directory_uri() . '/assets/css/magnific-popup.css', array(), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION, 'all');
	wp_enqueue_style('main-style', get_template_directory_uri() . '/assets/css/style.css', array(), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION, 'all');

	wp_style_add_data( 'lusy-photography-portfolio-style', 'rtl', 'replace' );

	// Enqueue Google Fonts (without prefix)

	wp_enqueue_script( 'lusy-photography-portfolio-navigation', get_template_directory_uri() . '/js/navigation.js', array(), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION, true );
	wp_enqueue_script('modernizr', get_template_directory_uri() . '/assets/js/modernizr.min.js', array('jquery'), '2.6.2', true);
	wp_enqueue_script('jquery-easing', get_template_directory_uri() . '/assets/js/jquery.easing.1.3.js', array('jquery'), '1.3', true);
	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.min.js', array('jquery'), '4.1.3', true);
	wp_enqueue_script('jquery-waypoints-min', get_template_directory_uri() . '/assets/js/jquery.waypoints.min.js', array('jquery'), '4.0.0', true);
	wp_enqueue_script('sticky-kit', get_template_directory_uri() . '/assets/js/sticky-kit.min.js', array('jquery'), '1.1.3', true);
	wp_enqueue_script('jquery-magnific-popup-min', get_template_directory_uri() . '/assets/js/jquery.magnific-popup.min.js', array('jquery'), '1.2.0', true);
	wp_enqueue_script('smooth-scroll', get_template_directory_uri() . '/assets/js/smooth-scroll.min.js', array('jquery'), '16.1.4', true);
	wp_enqueue_script('swiper-min.js', get_template_directory_uri() . '/assets/js/swiper.min.js', array('jquery'), '5.2.0', true);
	wp_enqueue_script('onepage-nav', get_template_directory_uri() . '/assets/js/onepage-nav.js', array('jquery'), '3.0.0', true);
	wp_enqueue_script('headhesive-min', get_template_directory_uri() . '/assets/js/headhesive.min.js', array('jquery'), '1.2.3', true);
	wp_enqueue_script('jquery-hmbrgr-min', get_template_directory_uri() . '/assets/js/jquery.hmbrgr.min.js', array('jquery'), '3.0.0', true);
	wp_enqueue_script('main', get_template_directory_uri() . '/assets/js/main.js', array('jquery'), LUSY_PHOTOGRAPHY_PORTFOLIO_VERSION, true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'lusy_photography_portfolio_scripts' );

//Admin Enqueue for Admin
function lusy_photography_portfolio_admin_enqueue_scripts(){
	wp_enqueue_style('lusy_photography_portfolio-admin-style', get_template_directory_uri() . '/inc/assets/css/admin.css');
	wp_enqueue_script( 'lusy_photography_portfolio-admin-script', get_template_directory_uri() . '/inc/assets/js/lusy-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'lusy_photography_portfolio-admin-script', 'lusy_photography_portfolio_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'lusy_photography_portfolio_admin_enqueue_scripts' );


/**
 * Manu Walker
 */

 require get_template_directory() . '/inc/Custom_Walker_Nav_Menu.php';
 

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

/**
 * Plugins
 */
require "inc/tgm-plugin/tgm-hook.php";


/**
 * Recent posts
 */
require get_template_directory() . '/inc/widget/recent_posts_widget.php';

/**
 * Admin Notice
 */

function lusy_photography_portfolio_admin_notice() {			
	
	echo '<div class="service_section">
	</div><br/>
	<a href="https://checkout.freemius.com/theme/20435/plan/33965/?trial=paid" target="_blank"><input type="button" value="Start Free Trial" class="button button-primary button-large req_btn"></a>
	<a href="https://pixelonetry.com/downloads/lusy-premium-photography-portfolio-wordpress-theme/" target="_blank"><input type="button" value="Upgrade to Pro, unlock all features" class="button button-primary button-large req_btn"></a> ';		
	
	}

add_action('admin_notices', 'lusy_photography_portfolio_admin_notice');

